;InnoSetupVersion=4.0.5

[Setup]
AppName=TweakNow PowerPack 2003
AppVerName=TweakNow PowerPack 2003
AppId=TweakNow PowerPack 2003
AppVersion=v1.7.5.4
AppPublisher=TweakNow
AppPublisherURL=http://www.tweaknow.com
AppSupportURL=http://www.tweaknow.com
AppUpdatesURL=http://www.tweaknow.com
DefaultDirName={pf}\TweakNow PowerPack
DefaultGroupName=TweakNow PowerPack
UninstallDisplayIcon={app}\compil32.exe
OutputBaseFilename=PowerPro
Compression=bzip2
PrivilegesRequired=none
WizardImageFile=embedded\WizardImage0.bmp
WizardSmallImageFile=embedded\WizardSmallImage0.bmp

[Files]
Source: "{app}\CDAuto.exe"; DestDir: "{app}"; Components: main; MinVersion: 4.1,5.0; Flags: ignoreversion 
Source: "{app}\Shortcut_9x.exe"; DestDir: "{app}"; Components: main; MinVersion: 4.1,5.0; Flags: ignoreversion 
Source: "{app}\Shortcut_XP.exe"; DestDir: "{app}"; Components: main; MinVersion: 4.1,5.0; Flags: ignoreversion 
Source: "{win}\Shortcut_9x.exe"; DestDir: "{win}"; Components: main; MinVersion: 4.1,5.0; Flags: ignoreversion 
Source: "{win}\Shortcut_XP.exe"; DestDir: "{win}"; Components: main; MinVersion: 4.1,5.0; Flags: ignoreversion 
Source: "{app}\Shutdown.exe"; DestDir: "{app}"; Components: main; MinVersion: 4.1,5.0; Flags: ignoreversion 
Source: "{app}\PowerPack.exe"; DestDir: "{app}"; Components: main; MinVersion: 4.1,5.0; Flags: ignoreversion 
Source: "{app}\PowerPack.ico"; DestDir: "{app}"; Components: main; MinVersion: 4.1,5.0; Flags: ignoreversion 
Source: "{app}\VDRIVE.exe"; DestDir: "{app}"; Components: main; MinVersion: 4.1,5.0; Flags: ignoreversion 
Source: "{app}\Transparent.exe"; DestDir: "{app}"; Components: main; MinVersion: 4.1,5.0; Flags: ignoreversion 
Source: "{app}\Logon.exe"; DestDir: "{app}"; Components: main; MinVersion: 4.1,5.0; Flags: ignoreversion 
Source: "{app}\RAM_XP.exe"; DestDir: "{app}"; Components: main; MinVersion: 4.1,5.0; Flags: ignoreversion 
Source: "{app}\RAM_ME.exe"; DestDir: "{app}"; Components: main; MinVersion: 4.1,5.0; Flags: ignoreversion 
Source: "{app}\RAM_98.exe"; DestDir: "{app}"; Components: main; MinVersion: 4.1,5.0; Flags: ignoreversion 
Source: "{app}\VirDesk.exe"; DestDir: "{app}"; Components: main; MinVersion: 4.1,5.0; Flags: ignoreversion 
Source: "{app}\Help98.chm"; DestDir: "{app}"; Components: main; MinVersion: 4.1,5.0; Flags: ignoreversion 
Source: "{app}\HelpMe.chm"; DestDir: "{app}"; Components: main; MinVersion: 4.1,5.0; Flags: ignoreversion 
Source: "{app}\Help2k.chm"; DestDir: "{app}"; Components: main; MinVersion: 4.1,5.0; Flags: ignoreversion 
Source: "{app}\HelpXP.chm"; DestDir: "{app}"; Components: main; MinVersion: 4.1,5.0; Flags: ignoreversion 
Source: "{app}\Exit.exe"; DestDir: "{app}"; Components: main; MinVersion: 4.1,5.0; Flags: ignoreversion 
Source: "{app}\Help.ico"; DestDir: "{app}"; Components: main; MinVersion: 4.1,5.0; Flags: ignoreversion 
Source: "{app}\Help.exe"; DestDir: "{app}"; Components: main; MinVersion: 4.1,5.0; Flags: ignoreversion 

[Registry]
Root: HKCU; Subkey: "Software\TweakNow Utilities\Virtual Drive"; MinVersion: 4.1,5.0; Flags: uninsdeletekey 
Root: HKCU; Subkey: "Software\TweakNow Utilities\Autorun"; MinVersion: 4.1,5.0; Flags: uninsdeletekey 
Root: HKCU; Subkey: "Software\TweakNow Utilities\Autorun\Data CD"; MinVersion: 4.1,5.0; Flags: uninsdeletekey 
Root: HKCU; Subkey: "Software\TweakNow Utilities\Add_Remove"; MinVersion: 4.1,5.0; Flags: uninsdeletekey 
Root: HKCU; Subkey: "Software\TweakNow Utilities\DiskCleaner"; MinVersion: 4.1,5.0; Flags: uninsdeletekey 
Root: HKCU; Subkey: "Software\TweakNow Utilities\Prefetch"; MinVersion: 4.1,5.0; Flags: uninsdeletekey 
Root: HKCU; Subkey: "Software\Ram Idle"; ValueName: "CurrentDir"; ValueType: String; ValueData: "{app}"; MinVersion: 4.1,5.0; Flags: uninsdeletevalue 
Root: HKCU; Subkey: "Software\TweakNow Utilities"; ValueName: "CurrentDir"; ValueType: String; ValueData: "{app}"; MinVersion: 4.1,5.0; Flags: uninsdeletevalue 
Root: HKLM; Subkey: "Software\Ram Idle"; ValueName: "CurrentDir"; ValueType: String; ValueData: "{app}"; MinVersion: 4.1,5.0; Flags: uninsdeletevalue 
Root: HKLM; Subkey: "Software\TweakNow Utilities"; ValueName: "CurrentDir"; ValueType: String; ValueData: "{app}"; MinVersion: 4.1,5.0; Flags: uninsdeletevalue 

[Run]
Filename: "{app}\PowerPack.exe"; Description: "Launch the TweakNow PowerPack 2003"; MinVersion: 4.1,5.0; Flags: postinstall unchecked skipifsilent nowait

[UninstallRun]
Filename: "{app}\Exit.exe"; MinVersion: 4.1,5.0; 

[Icons]
Name: "{group}\TweakNow PowerPack"; Filename: "{app}\PowerPack.exe"; WorkingDir: "{app}"; IconFilename: "{app}\PowerPack.ico"; Components: main; MinVersion: 4.1,5.0; 
Name: "{group}\Uninstall"; Filename: "{app}\unins000.exe"; WorkingDir: "{app}"; Components: main; MinVersion: 4.1,5.0; 
Name: "{group}\Read Me"; Filename: "{app}\Help.exe"; WorkingDir: "{app}"; IconFilename: "{app}\Help.Ico"; Components: main; MinVersion: 4.1,5.0; 
Name: "{userdesktop}\PowerPack 2003"; Filename: "{app}\PowerPack.exe"; WorkingDir: "{app}"; IconFilename: "{app}\PowerPack.ico"; Tasks: desktopicon; MinVersion: 4.1,5.0; 
Name: "{userappdata}\Microsoft\Internet Explorer\Quick Launch\PowerPack 2003"; Filename: "{app}\PowerPack.exe"; WorkingDir: "{app}"; IconFilename: "{app}\PowerPack.ico"; Tasks: quicklaunchicon; MinVersion: 4.1,5.0; 

[Tasks]
Name: "desktopicon"; Description: "Create a &desktop icon"; GroupDescription: "Additional icons:"; Components: "main"; MinVersion: 4.1,5.0; 
Name: "quicklaunchicon"; Description: "Create a &Quick Launch icon"; GroupDescription: "Additional icons:"; Components: "main"; MinVersion: 4.1,5.0; 

[Components]
Name: "main"; Description: "TweakNow Utilities application files"; Types: "full compact custom"; MinVersion: 4.1,5.0; 

[UninstallDelete]
Type: files; Name: "{win}\PowerPack.dat"; 
Type: files; Name: "{win}\cstmizLog.dat"; 
Type: files; Name: "{win}\PowerPack_Info.dat"; 

[Types]
Name: "full"; MinVersion: 4.1,5.0; OnlyBelowVersion: 5.0,5.2; 
Name: "compact"; MinVersion: 4.1,5.0; OnlyBelowVersion: 5.0,5.2; 
Name: "custom"; MinVersion: 4.1,5.0; OnlyBelowVersion: 5.0,5.2; 

[Languages]
; These files are stubs
; To achieve better results after recompilation, use the real language files
Name: "default"; MessagesFile: "embedded\default.isl"; 
